Subject: Re: [PATCH net] net: sctp: inherit auth_capable on INIT collisions

From: Daniel Borkmann <[email-masked]>
Date: Tue, 22 Jul 2014 18:43:16 +0200

On 07/22/2014 06:41 PM, Vlad Yasevich wrote:
> On 07/22/2014 09:25 AM, Daniel Borkmann wrote:
>> Hi Vlad,
>>
>> On 07/18/2014 11:59 PM, Vlad Yasevich wrote:
>> ...
>>> So I think I know why case D ends up not authenticating the COOKIE-ACK.
>>> Most likely the reason is the following statement:
>>>    repl = sctp_make_cookie_ack(new_asoc, chunk);
>>>
>>> Note that we use new_asoc, instead of current asoc.
>>
>> Are you sending out a patch for this?
>
> I didn't plan on it since you said there are further issues.  I thought you
> were still looking.

Ok, understood. Yeah, I'm looking further for the other cases
as well.